package com.ss.android.ugc.aweme.commercialize.views.cards;

import X.0CB;
import X.0CH;
import X.6Is;
import X.C2496Ktj;
import X.C2553Kue;
import X.C3376LIx;
import X.FJL;
import X.LJ0;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public class LandingPageAdCardAction extends AbsHalfWebPageAction implements 6Is {
    public static final String LIZ = LandingPageAdCardAction.class.getSimpleName();

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    static {
        Covode.recordClassIndex(59996);
    }

    public final void LIZLLL() {
        super.LIZLLL();
        if (this.LIZJ.getAwemeRawAd() != null && !this.LIZJ.getAwemeRawAd().getDisableAutoTrackClick()) {
            C3376LIx lIx = new C3376LIx();
            lIx.LIZ("click");
            lIx.LIZIZ("card");
            lIx.LIZ(this.LIZJ);
            lIx.LIZ(C2496Ktj.LIZLLL(this.LIZJ));
            LIZ(lIx.LIZ());
        }
    }

    public final void LJ() {
        super.LJ();
        C3376LIx lIx = new C3376LIx();
        lIx.LIZ("otherclick");
        lIx.LIZIZ("card");
        lIx.LIZ(this.LIZJ);
        LIZ(lIx.LIZ());
        if (!C2553Kue.LIZ(this.LIZIZ, this.LIZJ) && !FJL.LIZ(this.LIZIZ, this.LIZJ)) {
            if (!C2553Kue.LJ(this.LIZIZ, this.LIZJ, 33)) {
                C2553Kue.LIZ(this.LIZIZ, this.LIZJ, (String) null, (String) null);
            } else {
                return;
            }
        }
        if (this.LIZJ.getAwemeRawAd() != null && this.LIZJ.getAwemeRawAd().getDisableAutoTrackClick()) {
            C3376LIx lIx2 = new C3376LIx();
            lIx2.LIZ("click");
            lIx2.LIZIZ("card");
            lIx2.LIZ(this.LIZJ);
            LIZ(lIx2.LIZ());
        }
    }

    public LandingPageAdCardAction(Context context, Aweme aweme, LJ0 lj0) {
        super(context, aweme, lj0);
        this.LJFF = true;
    }
}
